# eric4.DocumentationTools.APIGenerator

Module implementing the builtin API generator.

### Classes

APIGenerator | Class implementing the builtin documentation generator.

### Functions

None

## APIGenerator

Class implementing the builtin documentation generator.

### Derived from

object

### Methods

APIGenerator | Constructor
__addClassesAPI | Private method to generate the document section with details about classes.
__addFunctionsAPI | Private method to generate the document section with details about functions.
__addMethodsAPI | Private method to generate the method details section.
__isPrivate | Private method to check, if a name is considered private.
genAPI | Method to generate the source code documentation.

#### APIGenerator (Constructor)

APIGenerator(module)

Constructor

module
  The information of the parsed Python file.

#### APIGenerator.__addClassesAPI

__addClassesAPI()

Private method to generate the document section with details about classes.

Returns:
  The classes details section. (string)

#### APIGenerator.__addFunctionsAPI

__addFunctionsAPI()

Private method to generate the document section with details about functions.

Returns:
  The functions details section. (string)

#### APIGenerator.__addMethodsAPI

__addMethodsAPI(className)

Private method to generate the method details section.

classname
  Name of the class containing the method. (string)

Returns:
  The method details section. (string)

#### APIGenerator.__isPrivate

__isPrivate(name)

Private method to check, if a name is considered private.

Returns:
  flag indicating a name, that is considered private (boolean)

#### APIGenerator.genAPI

genAPI(newStyle, basePackage, includePrivate)

Method to generate the source code documentation.

newStyle
  flag indicating the api generation for QScintilla 1.7 and newer (boolean)
basePackage
  name of the base package (string)
includePrivate
  flag indicating to include private methods/functions (boolean)

Returns:
  The API information. (string)

Up